#!/usr/bin/env python
# -*- coding: utf-8 -*- #
from __future__ import unicode_literals

AUTHOR = 'M. Taylor Saotome-Westlake'
SITENAME = 'The Scintillating But Ultimately Untrue Thought'
SITEURL = 'http://unremediatedgender.space'

PATH = 'content'

TIMEZONE = 'America/Los_Angeles'

DEFAULT_LANG = 'en'

# Feed generation is usually not desired when developing
FEED_ALL_ATOM = None
CATEGORY_FEED_ATOM = None
TRANSLATION_FEED_ATOM = None
AUTHOR_FEED_ATOM = None
AUTHOR_FEED_RSS = None

# Blogroll
LINKS = (
    ('On the Science of Changing Sex', "https://sillyolme.wordpress.com/"),
    ('Survey Anon\'s Gender Blog', "https://surveyanon.wordpress.com/"),
    ('Crossdreamers', "http://www.crossdreamers.com/"),
    ('Third Way Trans', "https://thirdwaytrans.com/"),
    ('Miranda Yardley', "http://mirandayardley.com/en/"),
    ('Trans Blog', "http://transblog.grieve-smith.com/"),
    ('Carey Callahan', "https://careycallahan.com/"),
    ('Social Justice Wizard', "https://medium.com/@rftbk"),
    ('Thing of Things', "http://thingofthings.wordpress.com/"),
    ('Paula Wright', "https://porlawright.com/"),
    ('Culturally Bound Gender', "https://culturallyboundgender.wordpress.com/"),
    ('My Only Path to Power', "https://transwidow.wordpress.com/"),
)

DEFAULT_PAGINATION = 20

WITH_FUTURE_DATES = False

FILENAME_METADATA = '(?P<slug>.*)'
ARTICLE_URL = '{date:%Y}/{date:%b}/{slug}/'
ARTICLE_SAVE_AS = '{date:%Y}/{date:%b}/{slug}/index.html'
CATEGORY_URL = 'category/{slug}/'
CATEGORY_SAVE_AS = 'category/{slug}/index.html'
TAG_URL = 'tag/{slug}/'
TAG_SAVE_AS = 'tag/{slug}/index.html'
PAGE_URL = '{slug}/'
PAGE_SAVE_AS = '{slug}/index.html'
AUTHOR_URL = 'author/{slug}/'
AUTHOR_SAVE_AS = 'author/{slug}/index.html'
ARCHIVES_URL = 'archives'
ARCHIVES_SAVE_AS = 'archives/index.html'
YEAR_ARCHIVE_SAVE_AS = '{date:%Y}/index.html'
MONTH_ARCHIVE_SAVE_AS = '{date:%Y}/{date:%b}/index.html'

PAGINATION_PATTERNS = (
    (1, '{base_name}/', '{base_name}/index.html'),
    (2, '{base_name}/page/{number}/', '{base_name}/page/{number}/index.html'),
)

THEME = 'theme'

PLUGIN_PATHS = ["plugins"]
PLUGINS = ["tag_cloud"]

TAG_CLOUD_STEPS = 6
TAG_CLOUD_SORTING = "alphabetically"

# Uncomment following line if you want document-relative URLs when developing
RELATIVE_URLS = True
